type: diagnostic_aggregator/AnalyzerGroup
path: Drivers
analyzers:
  human_interaction_controller:
    path: HumanInteraction
    startswith: human_interaction_controller
    expected:
    - 'human_interaction_controller: human_interaction_controller_zci'
    - 'human_interaction_controller: interior_audio_gateway_zci'
    type: diagnostic_aggregator/GenericAnalyzer
  ride_state_machine:
    expected:
    - 'ride_state_machine: ride_state_machine_zci'
    - 'ride_state_machine: ride_state_machine_diagnostic'
    find_and_remove_prefix: ride_state_machine
    path: RideState
    type: diagnostic_aggregator/GenericAnalyzer
  emu:
    type: diagnostic_aggregator/GenericAnalyzer
    path: EMU
    expected:
    - 'emu_gateway: emu_gateway_distributed_logger'
    - 'emu_gateway: emu_gateway_zci'
    - 'emu_gateway: emu_gateway_diagnostic'
    - 'emu_diagnostics: emu_diagnostics_zci'
    - 'emu_diagnostics: emu_diag_distributed_logger'
    - 'emu_diagnostics: Autonomy'
    - 'emu_diagnostics: BodyManager'
    - 'emu_diagnostics: DriveManager'
    - 'emu_diagnostics: ImuDataHandler'
    - 'emu_diagnostics: IoHandler'
    - 'emu_diagnostics: ManualControl'
    - 'emu_diagnostics: PowerManager'
    - 'emu_diagnostics: RemoteControl'
    - 'emu_diagnostics: RobotMonitor'
    - 'emu_diagnostics: SouthGateway'
    - 'emu_diagnostics: Tracker'
    - 'emu_diagnostics: MON'
    remove_prefix:
    - 'emu_gateway'
    - 'emu_diagnostics'
  lux:
    type: diagnostic_aggregator/GenericAnalyzer
    path: LUX
    expected:
    - 'emu_diagnostics: LUX'
    remove_prefix:
    - 'emu_diagnostics'
  tbc:
    type: diagnostic_aggregator/GenericAnalyzer
    path: TBC
    expected:
    - 'emu_diagnostics: TBC'
    remove_prefix:
    - 'emu_diagnostics'
  ptp_gateway:
    type: diagnostic_aggregator/GenericAnalyzer
    path: PtpGateways
    remove_prefix: ptpg_monitor_
    expected:
    - 'ptpg_monitor_REAR_LOWER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_LOWER_LEFT: ptpg_monitor_REAR_LOWER_LEFT'
    - 'ptpg_monitor_REAR_LOWER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_LOWER_RIGHT: ptpg_monitor_REAR_LOWER_RIGHT'
    - 'ptpg_monitor_FRONT_LOWER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_LOWER_LEFT: ptpg_monitor_FRONT_LOWER_LEFT'
    - 'ptpg_monitor_FRONT_LOWER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_LOWER_RIGHT: ptpg_monitor_FRONT_LOWER_RIGHT'
  supervisor:
    find_and_remove_prefix: drivers_supervisor
    path: Supervisor
    type: diagnostic_aggregator/GenericAnalyzer
  switch_monitor:
    type: diagnostic_aggregator/GenericAnalyzer
    path: SwitchMonitor
    remove_prefix: 'switch_monitor:'
    expected:
    - 'switch_monitor: switch_monitor_zci'
    - 'switch_monitor: SW1'
    - 'switch_monitor: SW2'
    - 'switch_monitor: SW3'
    - 'switch_monitor: SW4'
